require 'startupgem/treasure_trove'

module Startupgem
	RSpec.describe Treasure do
		before do
			$stdout = StringIO.new
			@initial_points = 100
			@treasure = Treasure.new(:Autumn,@initial_points)
		end

		it 'has name attribute' do
			expect(@treasure.name).to eq(:Autumn)
		end

		it 'has points attribute' do 
			expect(@treasure.points).to eq(@initial_points)

		end
	end

	RSpec.describe TreasureTrove do
		before do
			$stdout = StringIO.new
		end

		it 'has 6 treasures inside of constant TREASURES' do 
			expect(TreasureTrove::TREASURES.size).to eq(6)
		end

		it 'has Autumn worth 200 points' do 
			expect(TreasureTrove::TREASURES[0]).to eq(Treasure.new(:Autumn,200))
		end

		it 'has a Pie worth 5 points' do 
			expect(TreasureTrove::TREASURES[1]).to eq(Treasure.new(:pie,5))
		end

		it 'has a bottle worth 25 points' do
			expect(TreasureTrove::TREASURES[2]).to eq(Treasure.new(:bottle,25))
		end

		it 'has a hammer worth 50 points' do 
			expect(TreasureTrove::TREASURES[3]).to eq(Treasure.new(:hammer,50))
		end

		it 'has a skillet worth 100 points' do 
			expect(TreasureTrove::TREASURES[4]).to eq(Treasure.new(:skillet,100))
		end

		it 'has a broomstick worth 150 points' do 
			expect(TreasureTrove::TREASURES[5]).to eq(Treasure.new(:broomstick,150))
		end

		it 'returns a random treasure' do 
			random = TreasureTrove.random 

			expect(TreasureTrove::TREASURES).to include(random)
		end

	end
end
